Skip to main content
POST
/
api
/
run
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "create-image",
    "input": {
      "model": "seedream-4",
      "prompt": "A cyberpunk cityscape at night with neon lights",
      "image_size": "landscape_16_9"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "create-image",
  "createdAt": "2024-01-15T10:30:00.000Z"
}
Credits6 credits
Toolcreate-image

Headers

NameTypeRequiredDescription
AuthorizationstringYesYour API key
Content-TypestringYesapplication/json

Body

ParameterTypeRequiredDescription
toolstringYescreate-image
input.modelstringYesseedream-4
input.promptstringYesText prompt for image generation
input.image_sizestringNoImage size. Options: square_hd (default), square, portrait_4_3, portrait_16_9, landscape_4_3, landscape_16_9
curl -X POST https://api.artificialstudio.ai/api/run \
  -H "Content-Type: application/json" \
  -H "Authorization: YOUR_API_KEY" \
  -d '{
    "tool": "create-image",
    "input": {
      "model": "seedream-4",
      "prompt": "A cyberpunk cityscape at night with neon lights",
      "image_size": "landscape_16_9"
    }
  }'
{
  "id": "507f1f77bcf86cd799439011",
  "status": "processing",
  "tool": "create-image",
  "createdAt": "2024-01-15T10:30:00.000Z"
}